## org.apache.mahout.clustering.classify
Class ClusterClassificationDriver

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.mahout.common.AbstractJob
              org.apache.mahout.clustering.classify.ClusterClassificationDriver

All Implemented Interfaces:
  org.apache.hadoop.conf.Configurable, org.apache.hadoop.util.Tool

    public final class ClusterClassificationDriver

extends AbstractJob

Classifies the vectors into different clusters found by the clustering algorithm.

Field Summary

Fields inherited from class org.apache.mahout.common.AbstractJob
`argMap, inputFile, inputPath, outputFile, outputPath, tempPath`

Method Summary
`static void` `main(String[] args)`
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path clusteringOutputPath, org.apache.hadoop.fs.Path output, double clusterClassificationThreshold, boolean emitMostLikely, boolean runSequential)`
`static void` `run(org.apache.hadoop.conf.Configuration conf, org.apache.hadoop.fs.Path input, org.apache.hadoop.fs.Path clusteringOutputPath, org.apache.hadoop.fs.Path output, Double clusterClassificationThreshold, boolean emitMostLikely, boolean runSequential)` Uses `ClusterClassifier` to classify input vectors into their respective clusters.
`int` `run(String[] args)` CLI to run Cluster Classification Driver.

Methods inherited from class org.apache.mahout.common.AbstractJob

`addFlag, addInputOption, addOption, addOption, addOption, addOption, addOutputOption, buildOption, buildOption, getAnalyzerClassFromOption, getCLIOption, getConf, getDimensions, getFloat, getFloat, getGroup, getInputFile, getInputPath, getInt, getInt, getOption, getOption, getOption, getOptions, getOutputFile, getOutputPath, getOutputPath, getTempPath, getTempPath, hasOption, keyFor, maybePut, parseArguments, parseArguments, parseDirectories, prepareJob, prepareJob, prepareJob, prepareJob, setConf, setS3SafeCombinedInputPath, shouldRunNextPhase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### run

    public int run(String[] args)
            throws Exception

  CLI to run Cluster Classification Driver.

  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path input,
                           org.apache.hadoop.fs.Path clusteringOutputPath,
                           org.apache.hadoop.fs.Path output,
                           Double clusterClassificationThreshold,
                           boolean emitMostLikely,
                           boolean runSequential)
                    throws IOException,
                           InterruptedException,
                           ClassNotFoundException

  Uses `ClusterClassifier` to classify input vectors into their respective clusters.

  Parameters:
    `input` - the input vectors
    `clusteringOutputPath` - the output path of clustering ( it reads clusters-*-final file from here )
    `output` - the location to store the classified vectors
    `clusterClassificationThreshold` - the threshold value of probability distribution function from 0.0 to 1.0. Any vector with pdf less that this threshold will not be classified for the cluster.
    `runSequential` - Run the process sequentially or in a mapreduce way.
  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

### run

    public static void run(org.apache.hadoop.conf.Configuration conf,
                           org.apache.hadoop.fs.Path input,
                           org.apache.hadoop.fs.Path clusteringOutputPath,
                           org.apache.hadoop.fs.Path output,
                           double clusterClassificationThreshold,
                           boolean emitMostLikely,
                           boolean runSequential)
                    throws IOException,
                           InterruptedException,
                           ClassNotFoundException

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.